Package org.eclipse.handly.ui.callhierarchy

## Class CallHierarchyContentProvider

- java.lang.Object
- - org.eclipse.handly.ui.viewer.DeferredTreeContentProvider
  - - org.eclipse.handly.ui.callhierarchy.CallHierarchyContentProvider

- All Implemented Interfaces:
    `org.eclipse.jface.viewers.IContentProvider`, `org.eclipse.jface.viewers.IStructuredContentProvider`, `org.eclipse.jface.viewers.ITreeContentProvider`

      public class CallHierarchyContentProvider
      extends DeferredTreeContentProvider

  Default implementation of a tree content provider for a call hierarchy. Supports asynchronous fetching of children.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CallHierarchyContentProvider​(CallHierarchyViewPart viewPart)` | Constructs a call hierarchy content provider for the given call hierarchy view.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected void` | `fetchDeferredChildren​(java.lang.Object parentElement, org.eclipse.ui.progress.IElementCollector collector, org.eclipse.core.runtime.IProgressMonitor monitor)` | Called by a job to fetch the child elements of the given parent element.
    `java.lang.Object[]` | `getChildren​(java.lang.Object parentElement)` |
    `java.lang.Object[]` | `getElements​(java.lang.Object inputElement)` |
    `java.lang.Object` | `getParent​(java.lang.Object element)` |
    `boolean` | `hasChildren​(java.lang.Object element)` |

    - ### Methods inherited from class org.eclipse.handly.ui.viewer.DeferredTreeContentProvider

      `getDeferredTreeContentManager, getLabel, getRule, inputChanged`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.viewers.IContentProvider

      `dispose`

- - ### Constructor Detail

    - #### CallHierarchyContentProvider

          public CallHierarchyContentProvider​(CallHierarchyViewPart viewPart)

      Constructs a call hierarchy content provider for the given call hierarchy view.
      Parameters:
        `viewPart` - not `null`

  - ### Method Detail

    - #### getElements

          public java.lang.Object[] getElements​(java.lang.Object inputElement)

    - #### getChildren

          public java.lang.Object[] getChildren​(java.lang.Object parentElement)

    - #### getParent

          public java.lang.Object getParent​(java.lang.Object element)

    - #### hasChildren

          public boolean hasChildren​(java.lang.Object element)

    - #### fetchDeferredChildren

          protected void fetchDeferredChildren​(java.lang.Object parentElement,
                                               org.eclipse.ui.progress.IElementCollector collector,
                                               org.eclipse.core.runtime.IProgressMonitor monitor)

      Description copied from class: `DeferredTreeContentProvider`
      Called by a job to fetch the child elements of the given parent element. This method should report the fetched elements via the given collector.
      Specified by:
        `fetchDeferredChildren` in class `DeferredTreeContentProvider`
      Parameters:
        `parentElement` - the parent element
        `collector` - the element collector (never `null`)
        `monitor` - a progress monitor to support reporting and cancellation (never `null`)